summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst36
1 files changed, 36 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..6a1d7ee
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,36 @@
+#! /bin/sh
+# postinst script for ratpoison
+
+set -e
+
+case "$1" in
+ configure|abort-remove|abort-deconfigure)
+# 20 to start with,
+## when depending again on 9menu:
+## plus 20 as we have menu support configured
+## plus 10 as it can restart other wm's with :newwm or menu
+ update-alternatives --install /usr/bin/x-window-manager \
+ x-window-manager /usr/bin/ratpoison 20 \
+ --slave /usr/share/man/man1/x-window-manager.1.gz \
+ x-window-manager.1.gz /usr/share/man/man1/ratpoison.1.gz
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# taken from dh_pysupport
+if [ "$1" = "configure" ] && which update-python-modules >/dev/null 2>&1; then
+ update-python-modules -i /usr/share/python-support/ratpoison
+fi
+
+#DEBHELPER#
+
+exit 0
+
+